



<script setup>

import {ref} from "vue"

const data=ref({
    firtName:"Abdul",
    lastName:"Hamzan",
    channel:"<p><b>Abdul dev</b></p>",
    headingId:"heading",
    disableButton:true,
    status:"danger",
    color:"green",
    size:20,
    baseStyle:{
        fontSize:"20px",
       
        hight:"30px",
        borderRadius:"5px"

    },
    successStyle:{
        backgroundColor:"green",
        color:"#fff",
        padding:"5px"

    },
    dangerStyle:{
        backgroundColor:"orange",
        color:"#fff",
        padding:"5px"

    },
    num:0,
    display:true,
    showEl:true,
    dataKeluarga:["Dian","Rodi","Abdul","Aton","Malik"],
    actors:[
        {
            name:"Anjas mara",
            movies:["cinta segitiga","manusia 1/2 salmon","manusia makan"]
        },{

            name:"Ariel",
            movies:["konser 12","sehat jasmani","mengukir malam"]

        }

    ],
    names:["Alex","Amri","Aton","Abdul"]



})

const handleChangeSuccess=()=>{
    data.value.status="success"

}
const handleChangeDangerr=()=>{
    data.value.status="danger"
}
const handleClickResultOne=()=>{
    data.value.num=1
}
const handleClickResultRandom=()=>{
    data.value.num=33
}
 
 console.log("data:",data.value)
</script>

<template>
    <div class="page">
    <h2>Hello {{data.firtName}} {{data.lastName}}</h2>
    <div v-html="data.channel" ></div>
    <h2 v-bind:id="data.headingId">Heading</h2>
    <button v-bind:disabled="data.disableButton" >click</button>
    <h2 class="underline">Underline text</h2>
    <h2 class="underline" v-bind:class="data.status">Status</h2>
    <button @click="handleChangeDangerr">danger</button>
    <button @click="handleChangeSuccess">succes</button>
    <h2 v-bind:style="{color:data.color, fontSize:data.size+'px'}">Inline style v-bind:style</h2>
    <h2 :style="[data.baseStyle,data.successStyle]">Array Success Style v-bind:style</h2>
    <h2 :style="[data.baseStyle,data.dangerStyle]">Array Danger Style v-bind:style</h2>

    <h2>======Learning Conditional Rendering==========</h2>
    <h2 v-if="data.num===0">This is number zero</h2>
    <h2 v-else-if="data.num===1">This is number one</h2>
    <h2 v-else>This is number not found</h2>
    <button @click="handleClickResultOne">1</button>
    <button @click="handleClickResultRandom">23</button>

    <div v-if="data.display">
        <h2>My name is Abdul</h2>
        <h2>I am software Engineer</h2>
    </div>
    <div v-show="data.showEl">
        <h3>using v-show boy</h3>

    </div>
    <h2>====List Rendering=====</h2>

    <div v-for="(name,index) in data.dataKeluarga" :key="name">
       {{index}}- {{name}}

    </div>

    <div v-for="(actor,index) in data.actors" :key="index">
        <h2>{{actor.name}}</h2>
        <div v-for="(movie,i) in actor.movies" :key="i">
            <h4>{{movie}}</h4>

        </div>

    </div>
    </div>
    <template v-for="name in data.names" :key="name">
        <div v-if="name==='Abdul'">
            <h3>{{name}}</h3>

        </div>

    </template>
    
    
</template>

<style scoped>
.page{
    margin-bottom: "100px";
    /* overflow: scroll; */
}

.underline{
    text-decoration: underline;
}
.underline.success{
   
    color: green;
}
.underline.danger{
 
    color:red
}
</style>